package storage

import "testing"

type memDriver struct {
}

func (md memDriver) Init(rootPath string) error {
	return nil
}

func TestRegister(t *testing.T) {
	originalLen := len(Drivers())

	// TODO assert this does not panic? (and later assert that one _does_ panic?)
	Register("mem", memDriver{})

	if nowLen := len(Drivers()); nowLen != originalLen+1 {
		t.Errorf("expected registered driver to be reflected, but was not. original: %d; now: %d", originalLen, nowLen)
	}
}
